Subject: [alpine-devel] [PATCH] testing/py-sphinx: new aport

From: Matt Smith <[email-masked]>
Date: Tue, 14 Dec 2010 23:37:38 -0600

---
 testing/py-sphinx/APKBUILD |   54 ++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 54 insertions(+), 0 deletions(-)
 create mode 100644 testing/py-sphinx/APKBUILD

diff --git a/testing/py-sphinx/APKBUILD b/testing/py-sphinx/APKBUILD
new file mode 100644
index 0000000..3b43e52
--- /dev/null
+++ b/testing/py-sphinx/APKBUILD
@@ -0,0 +1,54 @@
+# Contributor: Matt Smith <[email-masked]>
+# Maintainer:  Matt Smith <[email-masked]>
+pkgname=py-sphinx
+_pkgname=Sphinx
+pkgver=1.0.5
+pkgrel=0
+pkgdesc="Python Documentation Generator"
+url="http://sphinx.pocoo.org/"
+arch="x86 x86_64"
+license="BSD"
+depends="python py-docutils py-jinja2 py-pygments"
+makedepends="python-dev py-setuptools"
+install=
+subpackages="$pkgname-doc"
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+
+prepare() {
+	cd "$_builddir"
+	# apply patches here
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --root "$pkgdir"
+}
+
+doc() {
+	cd "$_builddir"
+
+	mkdir -p "$subpkgdir"/usr/share/doc/$pkgname
+	for doc in AUTHORS CHANGES EXAMPLES LICENSE README TODO; do
+		install -Dm644 $doc "$subpkgdir"/usr/share/doc/$pkgname/
+	done
+
+	# Note: Documentation in the 'doc' directory (below), needs to be built
+	# with sphinx-build once sphinx is installed (see README for details).
+	#
+	# Leaving as-is; will be up to the individual user that's interested.
+	mkdir -p "$subpkgdir"/usr/share/doc/$pkgname/doc/
+	cp -R ./doc/* "$subpkgdir"/usr/share/doc/$pkgname/doc/
+	chmod -R 644 "$subpkgdir"/usr/share/doc/$pkgname/doc/
+
+	# Fix subdir perms
+	find "$subpkgdir"/usr/share/doc/$pkgname/ -type d -exec chmod 755 '{}' \;
+}
+
+md5sums="9c2cbfb4f520c49cedd10d0b26196832  Sphinx-1.0.5.tar.gz"
-- 
1.7.3.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---